View Issue Details

IDProjectCategoryView StatusLast Update
0022141mantisbtuipublic2018-02-06 08:50
Reportersneuf Assigned Toatrol  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionno change required 
Product Version2.0.0 
Summary0022141: UI Internet Explorer 11 issue if custom_strings_inc.php is used
Description

UI shows Header section is shown to big in Internet Explorer 11 if custom_strings_inc.php is used (even if there is no custom string defined in it), so you can't use MantisBT, because most content is hided. See attached PNGs.

Steps To Reproduce

If custom_strings_inc.php exists in config Folder, the issue exists. If custom_strings_inc.php is deleted, the issue is gone. In Internet Explorer 9 compatibility mode or Chrome the issue is not seen.

TagsNo tags attached.

Relationships

has duplicate 0022139 closeddregad UI issue in Internet Explorer 11 if custom_strings_inc.php is used 
related to 0022143 closeddregad Encoding of custom files not documented 
related to 0022144 new Check content of configuration files 
related to 0023936 closedatrol UI issue in Internet Explorer 11 

Activities

sneuf

sneuf

2017-01-09 06:22

reporter  

mantisbt_chrome.png (47,136 bytes)   
mantisbt_chrome.png (47,136 bytes)   
mantisbt_ie.png (48,731 bytes)   
mantisbt_ie.png (48,731 bytes)   
atrol

atrol

2017-01-09 06:35

developer   ~0054983

Check the encoding of your custom_strings_inc.php.
I assume it is UTF-8 with BOM.
I must be UTF-8 without BOM.

sneuf

sneuf

2017-01-09 09:07

reporter   ~0054992

Thank you! This did the trick. But I didn't find anything about this in the MantisBT documentation. It should be added there in the section "Customizing MantisBT".

atrol

atrol

2017-01-09 09:55

developer   ~0054993

Opened 0022143 to track the documentation issue.

Issue History

Date Modified Username Field Change
2017-01-09 06:21 sneuf New Issue
2017-01-09 06:22 sneuf File Added: mantisbt_chrome.png
2017-01-09 06:22 sneuf File Added: mantisbt_ie.png
2017-01-09 06:35 atrol Status new => feedback
2017-01-09 06:35 atrol Note Added: 0054983
2017-01-09 09:07 sneuf Note Added: 0054992
2017-01-09 09:07 sneuf Status feedback => new
2017-01-09 09:12 dregad Relationship added has duplicate 0022139
2017-01-09 09:49 atrol Assigned To => atrol
2017-01-09 09:49 atrol Status new => resolved
2017-01-09 09:49 atrol Resolution open => no change required
2017-01-09 09:55 atrol Relationship added related to 0022143
2017-01-09 09:55 atrol Note Added: 0054993
2017-01-09 10:07 atrol Relationship added related to 0022144
2017-01-18 18:19 atrol Status resolved => closed
2018-02-06 08:50 dregad Relationship added related to 0023936